mav_paletteLightPositioning(3)

NAME
mav_paletteLightPositioning - Set palette light positioning.

LEVEL
Maverik Level 1

SYNTAX
void mav_paletteLightPositioning(MAV_palette *p, int index, int pos);

ARGUMENTS
Palette to set. Index into lights table, in range 0..mav_opt_maxLights (default 5). Positioning strategy.

DESCRIPTION
This function sets the positioning strategy of the light at entry index in the light table of palette p to be pos.

Acceptable values of pos are: to specify that the light is to be positioned relative to the eye, and subsequently follow it, to give a car-headlight effect. to specify that the light is to be positioned in world coordinates to give the effect of a light at a fixed position in the model.